Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#34655 - [libarchive] Add lrzip support in libarchive

Attached to Project: Arch Linux
Opened by John (graysky) - Sunday, 07 April 2013, 11:17 GMT
Last edited by Doug Newgard (Scimmia) - Monday, 06 July 2015, 14:53 GMT
Task Type Feature Request
Category Packages: Core
Status Assigned
Assigned To Dan McGee (toofishes)
Dave Reisner (falconindy)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 7
Private No

Details

I would love to see the ability of pacman to process foo.tar.lrz packages now that makepkg allows users to select this versatile format. To do this, lrzip (or at least the library it supplies) will need to be linked to libarchive.

https://bbs.archlinux.org/viewtopic.php?pid=1255516#p1255516
This task depends upon

Comment by Dylon Edwards (deltaecho) - Wednesday, 02 March 2016, 03:48 GMT Comment by Dylon Edwards (deltaecho) - Wednesday, 02 March 2016, 03:54 GMT
As well, "LIBS='-llrzip'" must be set before the configure task, to link against the library. E.g.

LIBS='-llrzip' ./configure --prefix=/usr --without-xml2
Comment by Dave Reisner (falconindy) - Wednesday, 02 March 2016, 14:03 GMT
Sorry, we won't be backporting features. I realize libarchive's release process has stalled, but that's not a problem for Arch to solve.
Comment by Dave Reisner (falconindy) - Saturday, 18 June 2016, 12:30 GMT
libarchive-3.2.0 is released, but lrzip is in [community]. Someone would need to be willing to support lrzip in [core] in order to preserve repo hierarchy rules.

Loading...